{
 ***** BEGIN LICENSE BLOCK *****
 The contents of this file are subject to the Mozilla Public
 License Version 1.1 (the "License"); you may not use this file
 except in compliance with the License. You may obtain a copy of
 the License at http://www.mozilla.org/MPL/

 Software distributed under the License is distributed on an "AS
 IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 implied. See the License for the specific language governing
 rights and limitations under the License.

 The Original Code is AnalyseSpectrale code.

 The Initial Developer of the Original Code is Arthur Torossian.
 Portions created by Arthur Torossian are Copyright (C) 2008 Arthur Torossian,
 living in Paris, 20 rue Sibuet, in 2008. All Rights Reserved.

 Original Author: Arthur Torossian (arthur.torossian@free.fr)

 Contributor(s): None

 Alternatively, the contents of this file may be used under the terms of the
 GNU Lesser General Public License (the  "LGPL License"), in which case the
 provisions of the LGPL License are applicable instead of those above.
 If you wish to allow use of your version of this file only under the terms
 of the LGPL License and not to allow others to use your version of this file
 under the MPL, indicate your decision by deleting  the provisions above and
 replace  them with the notice and other provisions required by the LGPL
 License.  If you do not delete the provisions above, a recipient may use
 your version of this file under either the MPL or the LGPL License.

 For more information about the LGPL: http://www.gnu.org/copyleft/lesser.html
 ***** END LICENSE BLOCK ***** */
}
unit UMyMMSystem;
interface
uses
  Windows,
  messages,
  mmSystem ;
type
  Tval_S16 = record g,d :Smallint ; end ;
  Pval_S16 = ^Tval_S16 ;
Const
  WRM_Close = wm_user+0 ;
  c_Octets_Par_ValS16 = sizeof( Tval_S16 );
  c_MaxValue = 32767 ;
  c_Nb_Valeurs_Tampon_def = 1024 ;
type
  PWaveHdr = ^TWaveHdr;
  {$EXTERNALSYM wavehdr_tag}
  wavehdr_tag = record
    lpData: PChar;              { pointer to locked data buffer }
    dwBufferLength: DWORD;      { length of data buffer }
    dwBytesRecorded: DWORD;     { used for input only }
    dwUser: DWORD;              { for client's use }
    dwFlags: DWORD;             { assorted flags (see defines) }
    dwLoops: DWORD;             { loop control counter }
    lpNext: PWaveHdr;           { reserved for driver }
    reserved: DWORD;            { reserved for driver }
    Owner :Pointer ;
  end;
  TWaveHdr = wavehdr_tag;
  {$EXTERNALSYM WAVEHDR}
  WAVEHDR = wavehdr_tag;

  // Donnes stro 16 bits
  TSon_S16 = array[ 0..0 ] of TVal_S16 ;
  PSon_S16 = ^TSon_S16  ;
  TFile = File of Byte ;
  TTraiterData_S16 = procedure ( PSon :PSon_S16 ; TailleSon_Octet, Nb_Data : integer ; var TailleSon_Octet_Traite :integer ) of object ;

  {$EXTERNALSYM waveInAddBuffer}
  function waveInAddBuffer(hWaveIn: HWAVEIN; lpWaveInHdr: PWaveHdr; uSize: UINT): MMRESULT; stdcall;
  {$EXTERNALSYM waveOutWrite}
  function waveOutWrite(hWaveOut: HWAVEOUT; lpWaveOutHdr: PWaveHdr; uSize: UINT): MMRESULT; stdcall;
  {$EXTERNALSYM waveOutUnprepareHeader}
  function waveOutUnprepareHeader(hWaveOut: HWAVEOUT; lpWaveOutHdr: PWaveHdr; uSize: UINT): MMRESULT; stdcall;
  {$EXTERNALSYM waveInUnprepareHeader}
  function waveInUnprepareHeader(hWaveIn: HWAVEIN; lpWaveInHdr: PWaveHdr; uSize: UINT): MMRESULT; stdcall;
  {$EXTERNALSYM waveInPrepareHeader}
  function waveInPrepareHeader(hWaveIn: HWAVEIN; lpWaveInHdr: PWaveHdr; uSize: UINT): MMRESULT; stdcall;
  {$EXTERNALSYM waveOutPrepareHeader}
  function waveOutPrepareHeader(hWaveOut: HWAVEOUT; lpWaveOutHdr: PWaveHdr; uSize: UINT): MMRESULT; stdcall;

implementation
  {$EXTERNALSYM waveInAddBuffer}
  function waveInAddBuffer; external mmsyst name 'waveInAddBuffer';
  {$EXTERNALSYM waveOutWrite}
  function waveOutWrite; external mmsyst name 'waveOutWrite';
  {$EXTERNALSYM waveOutUnprepareHeader}
  function waveOutUnprepareHeader; external mmsyst name 'waveOutUnprepareHeader';
  {$EXTERNALSYM waveInUnprepareHeader}
  function waveInUnprepareHeader; external mmsyst name 'waveInUnprepareHeader';
  {$EXTERNALSYM waveInPrepareHeader}
  function waveInPrepareHeader; external mmsyst name 'waveInPrepareHeader';
  {$EXTERNALSYM waveOutPrepareHeader}
  function waveOutPrepareHeader; external mmsyst name 'waveOutPrepareHeader';
end.
